Subject: Re: bug#54271: 28.0.91; browse-url-of-dired-file fails with wrong type argument error

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 07 Mar 2022 04:57:18 +0100

Gustavo Barros <[email-masked]> writes:

> As I'd mentioned in the original report, I use this fairly frequently,
> and did not recall having problems with this while using the current
> release. Now I've just checked this statement and indeed, the failing
> example of this report works just fine with 27.2.  So, it is a 28
> regression, right?

Hm, right.  The change on master is too invasive for Emacs 28, though,
so perhaps something like the following would be better:

diff --git a/lisp/net/browse-url.el b/lisp/net/browse-url.el
index ccb4e12a9f..6c86b8fab7 100644
--- a/lisp/net/browse-url.el
+++ b/lisp/net/browse-url.el
@@ -555,8 +555,7 @@ browse-url--non-html-file-url-p
 ;;;###autoload
 (defvar browse-url-default-handlers
   '(("\\`mailto:" . browse-url--mailto)
-    ("\\`man:" . browse-url--man)
-    (browse-url--non-html-file-url-p . browse-url-emacs))
+    ("\\`man:" . browse-url--man))
   "Like `browse-url-handlers' but populated by Emacs and packages.
 
 Emacs and external packages capable of browsing certain URLs

Which reverts to Emacs 27.2 behaviour for these files.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no